<?
require_once ('../system/funcs.php');
require_once ('../system/sys.php');
include_once 'config_worldkassa.php';

H ('Пополнить счёт') ;
//-----Если гость,то...----//
if(!$us['id']) {
header('Location: /index.php');
exit();
}

if (isset($_POST['summa']))
{
if (preg_match('#^([0-9]+)$|^([0-9]+\.)+([0-9]{1,2})$#', $_POST['summa']))
{
$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$_POST['summa'].'&hash='.$hash);
if (is_numeric($data))
{
DB :: $dbs -> query("INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`) values('".$us['id']."', '".$data."', '".time()."', '".$_POST['summa']."')");
header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
exit();
}
else
{
$err=$data;
}
}
else
{
$err='Введите корректно сумму';
}
}
echo'<div class="menu2">Пополнить баланс</div>';

 echo '<div class="raz">Ваш баланс '.$us['money'].'</div>';
echo '<div class="raz"><center><b>'.$err.'</b></center>';
echo ' Пополнить на:<br/>
<form action="?" method="post">
<input name="summa" type="text" value="5.00"/> RUB<br/>
<input type="submit" value="Пополнить"/>
</form></div>';
F ();